From: [email-masked] (Mi Mi)
Date: Fri, 24 Sep 93 22:48:19 CDT

/Someone said:
/>Mi Mi just called IFCSS HQ and spoke to Shi Heping Himself.
/
/I don't understand---Is "Mi Mi" a man ? I thought that's a woman's name...

You are right at this point, Mi Mi is my daughter's name, but not the one she 
uses in her passport. She was born in the year of mice, and Mi Mi in Chinese
is cat.

I just happened to borrow her name when I started to get involved in some
lads related issue. Now it is too famous that everyone will be confused if
I use my own name (or you might want to correct me as "infamous"). Since I 
think the most important thing for me is to serve the lads community, I 
do not think using my own name is really necessary. Besides, that is also
my freedom of choice.

Mi Mi

Member of
Lads-net Committee